SAMPLE2.SML

Time to play around with a defaults block.

:begin_defaults

Set some dramatic and faintly vampiric colors
:bg_color black
:fg_color red

And some alarm settings.  (Notice how you can
line up command data for easier reading.)  SNC
will warn you that the alarm_time has passed,
and if you import a note with this setting into
your active set, it will trigger its alarm right
away.

:alarm        yep
:alarm_time   1/1/93 12:00
:alarm_prefix 0
:alarm_repeat 0
:alarm_sound  yes

We'll reset our default size to something bigger.
:w 400
:h 350

:end_defaults

-----------------------------------------

:begin_note

This note will inherit the current defaults, which include the
settings in the most recently encountered defaults block.

In this note, we want all the text to flow into one paragraph,
so we use the trailing backslash (\) to tell SNC to do just that.

:begin_text
Don't forget to call Fred about the thing at the \
place where he saw you-know-who.  Could be embarrasing \
if you forget something that simple.
:end_text

:end_note

-----------------------------------------

Now we'll re-define just some of the defaults from the
previous defaults block.  This demonstrates the "layering"
effect of defaults.

:begin_defaults

Change the default background color, but we'll inherit the
forground color setting (red, in this case, since we set
it above).

:bg_color white

All other settings are OK, except the alarm flag.  Let's
turn that one off.

:alarm no

:end_defaults

-----------------------------------------

:begin_note

Move the note so it doesn't completely cover the first one.

:x 100
:y 80

:begin_text
The heck with Fred.  Let him worry about \
his own stuff.
:end_text

:end_note

